Groovy Documentation

## org.codehaus.groovy.grails.test.support
[Groovy] Class GrailsTestInterceptor

    java.lang.Object
      org.codehaus.groovy.grails.test.support.GrailsTestInterceptor

    class GrailsTestInterceptor

Constructor Summary
`GrailsTestInterceptor(java.lang.Object test, GrailsTestMode mode, ApplicationContext appCtx, String[] testClassSuffixes)`

Method Summary
`protected java.lang.Object` | `autowireIfNecessary()`
`protected java.lang.Object` | `createAutowirer()`
`protected java.lang.Object` | `createRequestEnvironmentInterceptor()`
`protected java.lang.Object` | `createTransactionInterceptor()`
`void` | `destroy()`
`protected java.lang.Object` | `destroyRequestEnvironmentIfNecessary()`
`protected java.lang.Object` | `destroyTransactionIfNecessary()`
`protected java.lang.Object` | `getControllerName()`
`void` | `init()`
`protected java.lang.Object` | `initRequestEnvironmentIfNecessary(groovy.lang.Closure body)`
`protected java.lang.Object` | `initTransactionIfNecessary()`
`void` | `wrap(groovy.lang.Closure body)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### GrailsTestInterceptor

    GrailsTestInterceptor(java.lang.Object test, GrailsTestMode mode, ApplicationContext appCtx, String[] testClassSuffixes)

Method Detail

### autowireIfNecessary

    protected java.lang.Object autowireIfNecessary()

### createAutowirer

    protected java.lang.Object createAutowirer()

### createRequestEnvironmentInterceptor

    protected java.lang.Object createRequestEnvironmentInterceptor()

### createTransactionInterceptor

    protected java.lang.Object createTransactionInterceptor()

### destroy

    void destroy()

### destroyRequestEnvironmentIfNecessary

    protected java.lang.Object destroyRequestEnvironmentIfNecessary()

### destroyTransactionIfNecessary

    protected java.lang.Object destroyTransactionIfNecessary()

### getControllerName

    protected java.lang.Object getControllerName()

### init

    void init()

### initRequestEnvironmentIfNecessary

    protected java.lang.Object initRequestEnvironmentIfNecessary(groovy.lang.Closure body)

### initTransactionIfNecessary

    protected java.lang.Object initTransactionIfNecessary()

### wrap

    void wrap(groovy.lang.Closure body)

Groovy Documentation